Next Generation Emulation banner

1 - 4 of 4 Posts

·
Registered
Joined
·
5 Posts
Discussion Starter #1
Hello, I've recently tried to adopt ePSXe due to issues with RetroArch's beetle-psx-hw core, but I've hit a bit of a roadblock, I tried downloading the x86_64 binaries off of the main website but found that they're linked against libncurses 5 which hasn't had a release in nearly 10 years...

Now I've searched all over for the sources so I can build against an ncurses version from the past decade but have thus far been unsuccessful....is this an open source project? If not, are there at least means to rebuild the ncurses-related components and/or strip them from the binaries such that there isn't this linking issue? I'd really rather not install a regressive version of such a core system library over a linking discrepancy....but if not, so be it, just figured I'd ask, thank you!
 

·
Registered
Joined
·
5 Posts
Discussion Starter #3
I may just have to give that a shot...but that's still a bit disappointing that there is no means to just...like...update the product to modern libraries. If it's sitting stale like that, that's a major shame, I'd be happy to navigate dependency hell to do new binary builds but welp, no code to be found...and it's not doing much good slowly decaying away.
 

·
Registered
Joined
·
1 Posts
If you're using a Ubuntu based distro use the ePSXe64Ubuntu install script or if you're using a Arch based distro there's a working version in the AUR.
 
1 - 4 of 4 Posts
Top